// Created by ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class Grave2NAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new Grave2NAddonDeed();
			}
		}

		[ Constructable ]
		public Grave2NAddon()
		{
			AddComponent( new AddonComponent( 3795 ), 0, 1, 0 );
			AddComponent( new AddonComponent( 3809 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 4458 ), 0, -1, 0 );
			AddonComponent ac = null;

		}

		public Grave2NAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class Grave2NAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new Grave2NAddon();
			}
		}

		[Constructable]
		public Grave2NAddonDeed()
		{
			Name = "Grave2N";
Hue = 2406;
		}

		public Grave2NAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}